Bug 265626 - Amarok crash while browsing files [@ Amarok::ElidingButton::qt_metacall]
Summary: Amarok crash while browsing files [@ Amarok::ElidingButton::qt_metacall]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: File Browser (show other bugs)
Version: 2.6-git
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 271372 273210 274115 276868 278633 281897 282501 298836 301916 308394 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-06 16:59 UTC by Adrian Zavala
Modified: 2013-01-04 23:40 UTC (History)
24 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments
New crash information added by DrKonqi (27.83 KB, text/plain)
2011-02-10 14:38 UTC, Unknown
Details
New crash information added by DrKonqi (32.31 KB, text/plain)
2011-02-10 14:41 UTC, Unknown
Details
Click here twice or three times. Crashes the application instantly. (12.04 KB, image/png)
2011-02-10 14:48 UTC, Unknown
Details
New crash information added by DrKonqi (24.11 KB, text/plain)
2011-06-21 10:45 UTC, Unknown
Details
New crash information added by DrKonqi (20.35 KB, text/plain)
2011-08-11 11:15 UTC, Florian Edelmann
Details
New crash information added by DrKonqi (20.55 KB, text/plain)
2011-08-12 23:06 UTC, GUIRAUD
Details
New crash information added by DrKonqi (24.88 KB, text/plain)
2011-08-13 05:16 UTC, Kevin
Details
New crash information added by DrKonqi (28.02 KB, text/plain)
2011-09-28 20:15 UTC, jm
Details
New crash information added by DrKonqi (22.42 KB, text/plain)
2011-10-10 16:30 UTC, Andreas
Details
New crash information added by DrKonqi (16.50 KB, text/plain)
2012-08-30 07:23 UTC, Oldřich Krůza
Details
patch to possibly fix a related crash (1.64 KB, patch)
2012-10-26 20:16 UTC, Ian Monroe
Details
New crash information added by DrKonqi (32.88 KB, text/plain)
2012-11-22 02:07 UTC, Karl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Zavala 2011-02-06 16:59:57 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.1
Operating System: Linux 2.6.34-12-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Amarok crash while browsing files in option Media sources
- Custom settings of the application:
I conect Amarok with Mysql on KDE SC 4.6.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f9f0dcc07a0 (LWP 4601))]

Thread 18 (Thread 0x7f9eec816710 (LWP 4610)):
#0  0x00007f9f085a7709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b56941 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f9eec015710 (LWP 4611)):
#0  0x00007f9f0a70d6b3 in poll () from /lib64/libc.so.6
#1  0x00007f9f03d8cfd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f9f03d8d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f9f0bcfcae6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f9f0bcd1262 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f9f0bcd1475 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f9f0bbe41a4 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f9ef2db45e4 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f9f0bbe6a1e in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f9eeb60a710 (LWP 4617)):
#0  0x00007f9f0a70d6b3 in poll () from /lib64/libc.so.6
#1  0x00007f9eeb60f907 in ?? () from /usr/lib64/xine/plugins/1.28/xineplug_ao_out_alsa.so
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f9eeae09710 (LWP 4618)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b68a6b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f9ee9ff0710 (LWP 4619)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b68a6b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f9ee97ef710 (LWP 4621)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b68a6b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f9ee81a3710 (LWP 4623)):
#0  0xffffffffff600177 in ?? ()
#1  0x00007fff338737a1 in ?? ()
#2  0x00007f9f040342a3 in clock_gettime () from /lib64/librt.so.1
#3  0x00007f9f0bc39522 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007f9f0bcfd4ad in ?? () from /usr/lib64/libQtCore.so.4
#5  0x00007f9f0bcfd835 in ?? () from /usr/lib64/libQtCore.so.4
#6  0x00007f9f0bcfc2ec in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007f9f0bcfc395 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f9f03d8bf7f in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f9f03d8ce69 in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f9f03d8d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f9f0bcfcae6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#12 0x00007f9f0bcd1262 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#13 0x00007f9f0bcd1475 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#14 0x00007f9f0bbe41a4 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#15 0x00007f9f0bcb2918 in ?? () from /usr/lib64/libQtCore.so.4
#16 0x00007f9f0bbe6a1e in ?? () from /usr/lib64/libQtCore.so.4
#17 0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#18 0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#19 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f9edc65f710 (LWP 4681)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9f062f1634 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f9f06613180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f9f062f1669 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f9f06621254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f9ed73ff710 (LWP 4776)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9f0bbe710b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f9f079c4254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d3c40, th=0xf22a50) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f9f079c72a5 in waitForAvailableJob (this=0xf23ed0, th=0xf22a50) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#4  ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xf22a50) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xf22a50) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9f079c464f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9ed73fedf0, parent=0x8d3c40, th=0xf22a50) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f9f079c46d8 in ThreadWeaver::Thread::run (this=0xf22a50) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f9f0bbe6a1e in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f9ed6bfe710 (LWP 4779)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9f0bbe710b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f9f079c4254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d3c40, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f9f079c72a5 in waitForAvailableJob (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#4  ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f9f079c464f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9ed6bfddf0, parent=0x8d3c40, th=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#11 0x00007f9f079c46d8 in ThreadWeaver::Thread::run (this=0xec49d0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#12 0x00007f9f0bbe6a1e in ?? () from /usr/lib64/libQtCore.so.4
#13 0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#14 0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f9ed63fd710 (LWP 4783)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9f0bbe710b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f9f079c4254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d3c40, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f9f079c72a5 in waitForAvailableJob (this=0xf23ed0, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#4  ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f9f079c72be in ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f9f079c464f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9ed63fcdf0, parent=0x8d3c40, th=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f9f079c46d8 in ThreadWeaver::Thread::run (this=0x16d09a0) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f9f0bbe6a1e in ?? () from /usr/lib64/libQtCore.so.4
#11 0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f9ed5bfc710 (LWP 8215)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9f0bbe710b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f9f079c4254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d3c40, th=0xf20660) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f9f079c72a5 in waitForAvailableJob (this=0xf23ed0, th=0xf20660) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WeaverImpl.cpp:356
#4  ThreadWeaver::WorkingHardState::applyForWork (this=0xf23ed0, th=0xf20660) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9f079c464f in ThreadWeaver::ThreadRunHelper::run (this=0x7f9ed5bfbdf0, parent=0x8d3c40, th=0xf20660) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f9f079c46d8 in ThreadWeaver::Thread::run (this=0xf20660) at /usr/src/debug/kdelibs-4.6.0/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f9f0bbe6a1e in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f9ecf714710 (LWP 8246)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9f00af8a94 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f9ed4fd9710 (LWP 8623)):
#0  0x00007f9f085a7709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b64aaf in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f9ed43ef710 (LWP 8624)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b5aa1b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9ef2b60d05 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f9ed3a21710 (LWP 8625)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b5aa1b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9ef2b61e6d in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f9ed3220710 (LWP 8626)):
#0  0x00007f9f085a739c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f9ef2b6bbeb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f9f085a2a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f9f0a71682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f9f0dcc07a0 (LWP 4601)):
[KCrash Handler]
#6  0x00007f9f0bce4ec9 in QMetaObject::changeGuard(QObject**, QObject*) () from /usr/lib64/libQtCore.so.4
#7  0x00007f9f0b4ce82e in operator= (this=0x20e0be0, action=0x20d59e0, action_e=QAction::Trigger, self=true) at ../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x20e0be0, action=0x20d59e0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007f9f0b0e14a8 in QWidget::event (this=0x20c8bd0, event=0x7fff3385d920) at kernel/qwidget.cpp:8200
#10 0x00007f9f0b4cf9fb in QMenu::event (this=0x20c8bd0, e=0x7fff3385d920) at widgets/qmenu.cpp:2410
#11 0x00007f9f0b08fcd4 in QApplicationPrivate::notify_helper (this=0x7a6b00, receiver=0x20c8bd0, e=0x7fff3385d920) at kernel/qapplication.cpp:4445
#12 0x00007f9f0b098a4a in QApplication::notify (this=<value optimized out>, receiver=0x20c8bd0, e=0x7fff3385d920) at kernel/qapplication.cpp:4006
#13 0x00007f9f0d632ec6 in KApplication::notify (this=0x7fff3385fd80, receiver=0x20c8bd0, event=0x7fff3385d920) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#14 0x00007f9f0bcd1e2c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#15 0x00007f9f0b090cd5 in sendEvent (receiver=0x20c8bd0, event=0x7fff3385d920, alienWidget=0x0, nativeWidget=0x20c8bd0, buttonDown=0x7f9f0bb6b178, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#16 QApplicationPrivate::sendMouseEvent (receiver=0x20c8bd0, event=0x7fff3385d920, alienWidget=0x0, nativeWidget=0x20c8bd0, buttonDown=0x7f9f0bb6b178, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3105
#17 0x00007f9f0b10f144 in QETWidget::translateMouseEvent (this=0x20c8bd0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4372
#18 0x00007f9f0b10d5d9 in QApplication::x11ProcessEvent (this=0x7fff3385fd80, event=0x7fff3385e280) at kernel/qapplication_x11.cpp:3564
#19 0x00007f9f0b135212 in x11EventSourceDispatch (s=0x7a5ce0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#20 0x00007f9f03d8ca93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#21 0x00007f9f03d8d270 in ?? () from /usr/lib64/libglib-2.0.so.0
#22 0x00007f9f03d8d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#23 0x00007f9f0bcfca8f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#24 0x00007f9f0b134eae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007f9f0bcd1262 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#26 0x00007f9f0bcd1475 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#27 0x00007f9f0b4cbf75 in QMenu::exec (this=<value optimized out>, p=..., action=0x0) at widgets/qmenu.cpp:2054
#28 0x00007f9f0b4da2f2 in QPushButtonPrivate::_q_popupPressed (this=0x2014340) at widgets/qpushbutton.cpp:592
#29 0x00007f9f0b4daa82 in QPushButton::qt_metacall (this=0x1e13530, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fff3385e710) at .moc/release-shared/moc_qpushbutton.cpp:80
#30 0x00007f9f0cdc1208 in ?? () from /usr/lib64/libamaroklib.so.1
#31 0x00007f9f0bce6fef in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#32 0x00007f9f0b44b7be in QAbstractButtonPrivate::emitPressed (this=0x2014340) at widgets/qabstractbutton.cpp:560
#33 0x00007f9f0b44c23c in QAbstractButton::mousePressEvent (this=0x1e13530, e=0x7fff3385f090) at widgets/qabstractbutton.cpp:1096
#34 0x00007f9f0b0e1799 in QWidget::event (this=0x1e13530, event=0x7fff3385f090) at kernel/qwidget.cpp:8196
#35 0x00007f9f0b08fcd4 in QApplicationPrivate::notify_helper (this=0x7a6b00, receiver=0x1e13530, e=0x7fff3385f090) at kernel/qapplication.cpp:4445
#36 0x00007f9f0b098a4a in QApplication::notify (this=<value optimized out>, receiver=0x1e13530, e=0x7fff3385f090) at kernel/qapplication.cpp:4006
#37 0x00007f9f0d632ec6 in KApplication::notify (this=0x7fff3385fd80, receiver=0x1e13530, event=0x7fff3385f090) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#38 0x00007f9f0bcd1e2c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#39 0x00007f9f0b090cd5 in sendEvent (receiver=0x1e13530, event=0x7fff3385f090, alienWidget=0x1e13530, nativeWidget=0x11af200, buttonDown=0x7f9f0bb6b178, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#40 QApplicationPrivate::sendMouseEvent (receiver=0x1e13530, event=0x7fff3385f090, alienWidget=0x1e13530, nativeWidget=0x11af200, buttonDown=0x7f9f0bb6b178, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3105
#41 0x00007f9f0b10eef8 in QETWidget::translateMouseEvent (this=0x11af200, event=<value optimized out>) at kernel/qapplication_x11.cpp:4438
#42 0x00007f9f0b10d5d9 in QApplication::x11ProcessEvent (this=0x7fff3385fd80, event=0x7fff3385f9f0) at kernel/qapplication_x11.cpp:3564
#43 0x00007f9f0b135212 in x11EventSourceDispatch (s=0x7a5ce0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#44 0x00007f9f03d8ca93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#45 0x00007f9f03d8d270 in ?? () from /usr/lib64/libglib-2.0.so.0
#46 0x00007f9f03d8d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#47 0x00007f9f0bcfca8f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#48 0x00007f9f0b134eae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#49 0x00007f9f0bcd1262 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#50 0x00007f9f0bcd1475 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51 0x00007f9f0bcd58db in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#52 0x000000000040960d in main (argc=3, argv=0x7fff338621f8) at /usr/src/debug/amarok-2.4.0/src/main.cpp:268

Possible duplicates by query: bug 245004, bug 242085, bug 241161, bug 238040, bug 235484.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-02-09 09:46:24 UTC
Sorry, but your backtrace is not useful, as you are lacking debugging symbols. If you can reproduce this bug, please check here on how to get a valid backtrace:

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 2 Unknown 2011-02-10 14:38:22 UTC
Created attachment 57088 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- What I was doing when the application crashed:

In the left upper breacrumb navigation go to Files and from the drop down list choose a directory. Amarok crashed.

-- Backtrace (Reduced):
#7  0x00007f2479a9a82e in operator= (this=0x2e237e0, action=0x3c76370, action_e=QAction::Trigger, self=true) at ../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x2e237e0, action=0x3c76370, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007f24796ad4a8 in QWidget::event (this=0x3eac420, event=0x7fffae44afe0) at kernel/qwidget.cpp:8200
#10 0x00007f2479a9b9fb in QMenu::event (this=0x3eac420, e=0x7fffae44afe0) at widgets/qmenu.cpp:2410
#11 0x00007f247965bcd4 in QApplicationPrivate::notify_helper (this=0x7ef310, receiver=0x3eac420, e=0x7fffae44afe0) at kernel/qapplication.cpp:4445
Comment 3 Unknown 2011-02-10 14:41:45 UTC
Created attachment 57089 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- What I was doing when the application crashed:

On my machine this bug is easily reproducible. If the backtrace is not useful, please tell me which debug libraries should I install.

-- Backtrace (Reduced):
#7  0x00007f9d72d7b82e in operator= (this=0x34938d0, action=0x1a37490, action_e=QAction::Trigger, self=true) at ../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x34938d0, action=0x1a37490, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007f9d7298e4a8 in QWidget::event (this=0x19099b0, event=0x7fffb1e74b60) at kernel/qwidget.cpp:8200
#10 0x00007f9d72d7c9fb in QMenu::event (this=0x19099b0, e=0x7fffb1e74b60) at widgets/qmenu.cpp:2410
#11 0x00007f9d7293ccd4 in QApplicationPrivate::notify_helper (this=0x7ebb70, receiver=0x19099b0, e=0x7fffb1e74b60) at kernel/qapplication.cpp:4445
Comment 4 Unknown 2011-02-10 14:48:42 UTC
Created attachment 57090 [details]
Click here twice or three times. Crashes the application instantly.
Comment 5 Myriam Schweingruber 2011-02-10 18:40:43 UTC
Backtrace from comment #2:

Thread 1 (Thread 0x7f247c1317a0 (LWP 18311)):
[KCrash Handler]
#6  QMetaObject::changeGuard (ptr=0x2e23aa8, o=0x0) at kernel/qobject.cpp:470
#7  0x00007f2479a9a82e in operator= (this=0x2e237e0, action=0x3c76370, action_e=QAction::Trigger, self=true) at ../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x2e237e0, action=0x3c76370, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007f24796ad4a8 in QWidget::event (this=0x3eac420, event=0x7fffae44afe0) at kernel/qwidget.cpp:8200
#10 0x00007f2479a9b9fb in QMenu::event (this=0x3eac420, e=0x7fffae44afe0) at widgets/qmenu.cpp:2410
#11 0x00007f247965bcd4 in QApplicationPrivate::notify_helper (this=0x7ef310, receiver=0x3eac420, e=0x7fffae44afe0) at kernel/qapplication.cpp:4445
#12 0x00007f2479664a4a in QApplication::notify (this=<value optimized out>, receiver=0x3eac420, e=0x7fffae44afe0) at kernel/qapplication.cpp:4006
#13 0x00007f247bbfeec6 in KApplication::notify (this=0x7fffae44d440, receiver=0x3eac420, event=0x7fffae44afe0) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#14 0x00007f247a29de2c in QCoreApplication::notifyInternal (this=0x7fffae44d440, receiver=0x3eac420, event=0x7fffae44afe0) at kernel/qcoreapplication.cpp:732
#15 0x00007f247965ccd5 in sendEvent (receiver=0x3eac420, event=0x7fffae44afe0, alienWidget=0x0, nativeWidget=0x3eac420, buttonDown=0x7f247a137178, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#16 QApplicationPrivate::sendMouseEvent (receiver=0x3eac420, event=0x7fffae44afe0, alienWidget=0x0, nativeWidget=0x3eac420, buttonDown=0x7f247a137178, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3105
#17 0x00007f24796db144 in QETWidget::translateMouseEvent (this=0x3eac420, event=<value optimized out>) at kernel/qapplication_x11.cpp:4372
#18 0x00007f24796d95d9 in QApplication::x11ProcessEvent (this=0x7fffae44d440, event=0x7fffae44b940) at kernel/qapplication_x11.cpp:3564
#19 0x00007f2479701212 in x11EventSourceDispatch (s=0x7f4ca0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#20 0x00007f2472356a93 in g_main_dispatch (context=0x7f6a60) at gmain.c:1960
#21 IA__g_main_context_dispatch (context=0x7f6a60) at gmain.c:2513
#22 0x00007f2472357270 in g_main_context_iterate (context=0x7f6a60, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#23 0x00007f2472357510 in IA__g_main_context_iteration (context=0x7f6a60, may_block=1) at gmain.c:2654
#24 0x00007f247a2c8a8f in QEventDispatcherGlib::processEvents (this=0x66c520, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#25 0x00007f2479700eae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#26 0x00007f247a29d262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#27 0x00007f247a29d475 in QEventLoop::exec (this=0x7fffae44bc60, flags=...) at kernel/qeventloop.cpp:201
#28 0x00007f2479a97f75 in QMenu::exec (this=<value optimized out>, p=..., action=0x0) at widgets/qmenu.cpp:2054
#29 0x00007f2479aa62f2 in QPushButtonPrivate::_q_popupPressed (this=0x941a10) at widgets/qpushbutton.cpp:592
#30 0x00007f2479aa6a82 in QPushButton::qt_metacall (this=0x2116ad0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fffae44bdd0) at .moc/release-shared/moc_qpushbutton.cpp:80
#31 0x00007f247b38d1e8 in Amarok::ElidingButton::qt_metacall (this=0x2116ad0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>)
    at /usr/src/debug/amarok-2.4.0/build/src/ElidingButton.moc:67
#32 0x00007f247a2b2fef in QMetaObject::activate (sender=0x2116ad0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3272
#33 0x00007f2479a177be in QAbstractButtonPrivate::emitPressed (this=0x941a10) at widgets/qabstractbutton.cpp:560
#34 0x00007f2479a1823c in QAbstractButton::mousePressEvent (this=0x2116ad0, e=0x7fffae44c750) at widgets/qabstractbutton.cpp:1096
#35 0x00007f24796ad799 in QWidget::event (this=0x2116ad0, event=0x7fffae44c750) at kernel/qwidget.cpp:8196
#36 0x00007f247965bcd4 in QApplicationPrivate::notify_helper (this=0x7ef310, receiver=0x2116ad0, e=0x7fffae44c750) at kernel/qapplication.cpp:4445
#37 0x00007f2479664a4a in QApplication::notify (this=<value optimized out>, receiver=0x2116ad0, e=0x7fffae44c750) at kernel/qapplication.cpp:4006
#38 0x00007f247bbfeec6 in KApplication::notify (this=0x7fffae44d440, receiver=0x2116ad0, event=0x7fffae44c750) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#39 0x00007f247a29de2c in QCoreApplication::notifyInternal (this=0x7fffae44d440, receiver=0x2116ad0, event=0x7fffae44c750) at kernel/qcoreapplication.cpp:732
#40 0x00007f247965ccd5 in sendEvent (receiver=0x2116ad0, event=0x7fffae44c750, alienWidget=0x2116ad0, nativeWidget=0xd4d8f0, buttonDown=0x7f247a137178, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#41 QApplicationPrivate::sendMouseEvent (receiver=0x2116ad0, event=0x7fffae44c750, alienWidget=0x2116ad0, nativeWidget=0xd4d8f0, buttonDown=0x7f247a137178, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3105
#42 0x00007f24796daef8 in QETWidget::translateMouseEvent (this=0xd4d8f0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4438
#43 0x00007f24796d95d9 in QApplication::x11ProcessEvent (this=0x7fffae44d440, event=0x7fffae44d0b0) at kernel/qapplication_x11.cpp:3564
#44 0x00007f2479701212 in x11EventSourceDispatch (s=0x7f4ca0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#45 0x00007f2472356a93 in g_main_dispatch (context=0x7f6a60) at gmain.c:1960
#46 IA__g_main_context_dispatch (context=0x7f6a60) at gmain.c:2513
#47 0x00007f2472357270 in g_main_context_iterate (context=0x7f6a60, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#48 0x00007f2472357510 in IA__g_main_context_iteration (context=0x7f6a60, may_block=1) at gmain.c:2654
#49 0x00007f247a2c8a8f in QEventDispatcherGlib::processEvents (this=0x66c520, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#50 0x00007f2479700eae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#51 0x00007f247a29d262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#52 0x00007f247a29d475 in QEventLoop::exec (this=0x7fffae44d3d0, flags=...) at kernel/qeventloop.cpp:201
#53 0x00007f247a2a18db in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#54 0x000000000040960d in main (argc=1, argv=0x7fffae44f8b8) at /usr/src/debug/amarok-2.4.0/src/main.cpp:268

Possible duplicates by query: bug 265626, bug 245004, bug 242085, bug 241161, bug 238040.

Reported using DrKonqi
Comment 6 Myriam Schweingruber 2011-05-04 23:16:26 UTC
*** Bug 271372 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2011-05-04 23:18:05 UTC
Developers, please see also line #21 in https://bugs.kde.org/show_bug.cgi?id=271372#c4
Comment 8 Myriam Schweingruber 2011-05-14 12:48:16 UTC
*** Bug 273210 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-05-14 12:50:10 UTC
Could you all please upgrade to Amarok 2.4.1 and try again?
Comment 10 Dev Ghai 2011-05-15 00:39:56 UTC
2.4.1 is not available even in Kubuntu 11.04 repositories. If you have a pre built package somewhere for Kubuntu 10.10 or 11.04, I'll appreciate passing it on. 

Compilation from source will take some time as I have to setup the build environment.
Comment 11 Myriam Schweingruber 2011-05-15 16:19:50 UTC
Dev Gai: please see here: http://kubuntu.org/news/
Comment 12 Dev Ghai 2011-05-17 10:11:40 UTC
Reproducible.
See GDB backtrace.
===================
bug265626_bt_amarok2.4.1
------------------------
#0  QMetaObject::changeGuard (ptr=0x91ccc78, o=0x0) at kernel/qobject.cpp:471
#1  0x016ea193 in operator= (this=0x91ccad8, action=0x91c54b0, action_e=QAction::Trigger, self=true) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#2  QMenuPrivate::activateAction (this=0x91ccad8, action=0x91c54b0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#3  0x016eaffe in QMenu::mouseReleaseEvent (this=0x91bd168, e=0xbfffd044) at widgets/qmenu.cpp:2306
#4  0x012b113a in QWidget::event (this=0x91bd168, event=0xbfffd044) at kernel/qwidget.cpp:8259
#5  0x016eb4d7 in QMenu::event (this=0x91bd168, e=0xbfffd044) at widgets/qmenu.cpp:2415
#6  0x01258d24 in QApplicationPrivate::notify_helper (this=0x819fee0, receiver=0x91bd168, e=0xbfffd044) at kernel/qapplication.cpp:4462
#7  0x0125e201 in QApplication::notify (this=0xbfffe984, receiver=0x91bd168, e=0xbfffd044) at kernel/qapplication.cpp:4023
#8  0x003103ca in KApplication::notify (this=0xbfffe984, receiver=0x91bd168, event=0xbfffd044) at ../../kdeui/kernel/kapplication.cpp:311
#9  0x01f700bb in QCoreApplication::notifyInternal (this=0xbfffe984, receiver=0x91bd168, event=0xbfffd044) at kernel/qcoreapplication.cpp:731
#10 0x01259c3b in sendSpontaneousEvent (receiver=0x91bd168, event=0xbfffd044, alienWidget=0x0, nativeWidget=0x91bd168, buttonDown=0x1ba5c60, lastMouseReceiver=..., 
    spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#11 QApplicationPrivate::sendMouseEvent (receiver=0x91bd168, event=0xbfffd044, alienWidget=0x0, nativeWidget=0x91bd168, buttonDown=0x1ba5c60, lastMouseReceiver=..., 
    spontaneous=true) at kernel/qapplication.cpp:3120
#12 0x012e34c3 in QETWidget::translateMouseEvent (this=0x91bd168, event=0xbfffd56c) at kernel/qapplication_x11.cpp:4490
#13 0x012e1746 in QApplication::x11ProcessEvent (this=0xbfffe984, event=0xbfffd56c) at kernel/qapplication_x11.cpp:3678
#14 0x0130cb84 in x11EventSourceDispatch (s=0x81a1a00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#15 0x033e5aa8 in g_main_dispatch (context=0x819fd00) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#16 g_main_context_dispatch (context=0x819fd00) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#17 0x033e6270 in g_main_context_iterate (context=0x819fd00, block=54487072, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#18 0x033e6524 in g_main_context_iteration (context=0x819fd00, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#19 0x01f9d53c in QEventDispatcherGlib::processEvents (this=0x8078eb0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#20 0x0130c775 in QGuiEventDispatcherGlib::processEvents (this=0x8078eb0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x01f6f289 in QEventLoop::processEvents (this=0xbfffd840, flags=...) at kernel/qeventloop.cpp:149
#22 0x01f6f522 in QEventLoop::exec (this=0xbfffd840, flags=...) at kernel/qeventloop.cpp:201
#23 0x016e75c1 in QMenu::exec (this=0x91bd168, p=..., action=0x0) at widgets/qmenu.cpp:2059
#24 0x016f7d11 in QPushButtonPrivate::_q_popupPressed (this=0x91ccf60) at widgets/qpushbutton.cpp:592
#25 0x016f8507 in QPushButton::qt_metacall (this=0x91cce28, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfffd9cc) at .moc/release-shared/moc_qpushbutton.cpp:80
#26 0x00dbcf2a in Amarok::ElidingButton::qt_metacall (this=0x91cce28, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0xbfffd9cc) at ./ElidingButton.moc:67
#27 0x00db4622 in qt_metacall (this=0x91cce28, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0xbfffd9cc) at ./BreadcrumbItemButton.moc:66
#28 BreadcrumbItemMenuButton::qt_metacall (this=0x91cce28, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0xbfffd9cc) at ./BreadcrumbItemButton.moc:115
#29 0x01f766ba in QMetaObject::metacall (object=0x91cce28, cl=QMetaObject::InvokeMetaMethod, idx=40, argv=0xbfffd9cc) at kernel/qmetaobject.cpp:237
#30 0x01f864ff in QMetaObject::activate (sender=0x91cce28, m=0x1b9c884, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3287
#31 0x01941ca7 in QAbstractButton::pressed (this=0x91cce28) at .moc/release-shared/moc_qabstractbutton.cpp:193
#32 0x01659946 in QAbstractButtonPrivate::emitPressed (this=0x91ccf60) at widgets/qabstractbutton.cpp:560
#33 0x0165a5be in QAbstractButton::mousePressEvent (this=0x91cce28, e=0xbfffe104) at widgets/qabstractbutton.cpp:1096
#34 0x012b12ec in QWidget::event (this=0x91cce28, event=0xbfffe104) at kernel/qwidget.cpp:8255
#35 0x0165a40e in QAbstractButton::event (this=0x91cce28, e=0xbfffe104) at widgets/qabstractbutton.cpp:1080
#36 0x016f81c2 in QPushButton::event (this=0x91cce28, e=0xbfffe104) at widgets/qpushbutton.cpp:683
#37 0x01258d24 in QApplicationPrivate::notify_helper (this=0x819fee0, receiver=0x91cce28, e=0xbfffe104) at kernel/qapplication.cpp:4462
#38 0x0125e201 in QApplication::notify (this=0xbfffe984, receiver=0x91cce28, e=0xbfffe104) at kernel/qapplication.cpp:4023
#39 0x003103ca in KApplication::notify (this=0xbfffe984, receiver=0x91cce28, event=0xbfffe104) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x01f700bb in QCoreApplication::notifyInternal (this=0xbfffe984, receiver=0x91cce28, event=0xbfffe104) at kernel/qcoreapplication.cpp:731
#41 0x01259c3b in sendSpontaneousEvent (receiver=0x91cce28, event=0xbfffe104, alienWidget=0x91cce28, nativeWidget=0x857aa70, buttonDown=0x1ba5c60, lastMouseReceiver=..., 
    spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
---Type <return> to continue, or q <return> to quit---
#42 QApplicationPrivate::sendMouseEvent (receiver=0x91cce28, event=0xbfffe104, alienWidget=0x91cce28, nativeWidget=0x857aa70, buttonDown=0x1ba5c60, lastMouseReceiver=..., 
    spontaneous=true) at kernel/qapplication.cpp:3120
#43 0x012e32bc in QETWidget::translateMouseEvent (this=0x857aa70, event=0xbfffe62c) at kernel/qapplication_x11.cpp:4556
#44 0x012e1746 in QApplication::x11ProcessEvent (this=0xbfffe984, event=0xbfffe62c) at kernel/qapplication_x11.cpp:3678
#45 0x0130cb84 in x11EventSourceDispatch (s=0x81a1a00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#46 0x033e5aa8 in g_main_dispatch (context=0x819fd00) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#47 g_main_context_dispatch (context=0x819fd00) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#48 0x033e6270 in g_main_context_iterate (context=0x819fd00, block=54487072, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#49 0x033e6524 in g_main_context_iteration (context=0x819fd00, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#50 0x01f9d53c in QEventDispatcherGlib::processEvents (this=0x8078eb0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#51 0x0130c775 in QGuiEventDispatcherGlib::processEvents (this=0x8078eb0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#52 0x01f6f289 in QEventLoop::processEvents (this=0xbfffe8f4, flags=...) at kernel/qeventloop.cpp:149
#53 0x01f6f522 in QEventLoop::exec (this=0xbfffe8f4, flags=...) at kernel/qeventloop.cpp:201
#54 0x01f73ecc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#55 0x012568e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#56 0x08050e3d in main (argc=0, argv=0x8a87948) at ../../src/main.cpp:288
Comment 13 Myriam Schweingruber 2011-05-18 01:00:55 UTC
Thank you for the feedback.
Comment 14 Myriam Schweingruber 2011-05-26 09:50:13 UTC
*** Bug 274115 has been marked as a duplicate of this bug. ***
Comment 15 Unknown 2011-06-21 10:45:12 UTC
Created attachment 61190 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.4 (4.6.4) using Qt 4.7.3

- What I was doing when the application crashed:
I browsed files in the left drop-down menu and when I clicked on an entry, Amarok crashed.

-- Backtrace (Reduced):
#7  0x00007f7f3226e05e in operator= (this=0x1fac0e0, action=0x20a5ec0, action_e=QAction::Trigger, self=true) at ../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x1fac0e0, action=0x20a5ec0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007f7f31e88c5c in QWidget::event (this=0x1b7dfd0, event=0x7fffd8ae6390) at kernel/qwidget.cpp:8259
#10 0x00007f7f3226f22b in QMenu::event (this=0x1b7dfd0, e=0x7fffd8ae6390) at widgets/qmenu.cpp:2415
#11 0x00007f7f31e37144 in QApplicationPrivate::notify_helper (this=0x7ef310, receiver=0x1b7dfd0, e=0x7fffd8ae6390) at kernel/qapplication.cpp:4462
Comment 16 Myriam Schweingruber 2011-07-01 07:52:13 UTC
*** Bug 276868 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2011-07-28 13:19:44 UTC
*** Bug 278633 has been marked as a duplicate of this bug. ***
Comment 18 Florian Edelmann 2011-08-11 11:15:11 UTC
Created attachment 62746 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I chose another folder by clicking on an arrow.
- Custom settings of the application:
I use MySQL 5.x

-- Backtrace (Reduced):
#8  0x047bbc23 in operator= (this=0x987a520, action=0x9a2ebd0, action_e=QAction::Trigger, self=true) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#9  QMenuPrivate::activateAction (this=0x987a520, action=0x9a2ebd0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#10 0x047bca8e in QMenu::mouseReleaseEvent (this=0x9a2ebf8, e=0xbfc2dfe4) at widgets/qmenu.cpp:2306
#11 0x0438013a in QWidget::event (this=0x9a2ebf8, event=0xbfc2dfe4) at kernel/qwidget.cpp:8259
#12 0x047bcf67 in QMenu::event (this=0x9a2ebf8, e=0xbfc2dfe4) at widgets/qmenu.cpp:2415
Comment 19 GUIRAUD 2011-08-12 23:06:53 UTC
Created attachment 62789 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I was browsing files using the emplacement toolbar arrow widget, and I selected a file to display then amarok crashed.

-- Backtrace (Reduced):
#8  0x025f6c23 in operator= (this=0xbf5a760, action=0x989d630, action_e=QAction::Trigger, self=true) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#9  QMenuPrivate::activateAction (this=0xbf5a760, action=0x989d630, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#10 0x025f7a8e in QMenu::mouseReleaseEvent (this=0x8d809e8, e=0xbfeb6834) at widgets/qmenu.cpp:2306
#11 0x021bb13a in QWidget::event (this=0x8d809e8, event=0xbfeb6834) at kernel/qwidget.cpp:8259
#12 0x025f7f67 in QMenu::event (this=0x8d809e8, e=0xbfeb6834) at widgets/qmenu.cpp:2415
Comment 20 Kevin 2011-08-13 05:16:54 UTC
Created attachment 62791 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I was in my local folders when I left-clicked on the ">"  character between directory items and then Amarok crashed.  I tried it again afterwards and it opened up a dialog window to choose directories.  So, it only happened once (so far).

-- Backtrace (Reduced):
#7  0x00007f5a836859ce in operator= (this=0x7f5a58731230, action=0x7f5a586efb10, action_e=QAction::Trigger, self=true) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x7f5a58731230, action=0x7f5a586efb10, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007f5a83292cc8 in QWidget::event (this=0x7f5a586f4f70, event=0x7fff842cc100) at kernel/qwidget.cpp:8259
#10 0x00007f5a83686b8b in QMenu::event (this=0x7f5a586f4f70, e=0x7fff842cc100) at widgets/qmenu.cpp:2415
#11 0x00007f5a832419f4 in QApplicationPrivate::notify_helper (this=0x11c5d80, receiver=0x7f5a586f4f70, e=0x7fff842cc100) at kernel/qapplication.cpp:4462
Comment 21 Myriam Schweingruber 2011-09-13 00:34:32 UTC
*** Bug 281897 has been marked as a duplicate of this bug. ***
Comment 22 Myriam Schweingruber 2011-09-22 00:15:04 UTC
*** Bug 282501 has been marked as a duplicate of this bug. ***
Comment 23 jm 2011-09-28 20:15:38 UTC
Created attachment 64047 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I was browsing between "mp3" files. I opened a folder without problems, but when I opened a second folder, Amarok crashed.

-- Backtrace (Reduced):
#8  0x022cac23 in operator= (this=0xb34cde8, action=0xb33c2a8, action_e=QAction::Trigger, self=true) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#9  QMenuPrivate::activateAction (this=0xb34cde8, action=0xb33c2a8, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#10 0x022cba8e in QMenu::mouseReleaseEvent (this=0xaf2e1f8, e=0xbf9b11e4) at widgets/qmenu.cpp:2306
#11 0x01e8f13a in QWidget::event (this=0xaf2e1f8, event=0xbf9b11e4) at kernel/qwidget.cpp:8259
#12 0x022cbf67 in QMenu::event (this=0xaf2e1f8, e=0xbf9b11e4) at widgets/qmenu.cpp:2415
Comment 24 Andreas 2011-10-10 16:30:16 UTC
Created attachment 64390 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

As in comment 2:
- Clicking on symbol ">" in breadcrumb control line: OK
- opening of list of possible directories: OK
- selecting one entry (same one as the present directory has been): crash

-- Backtrace (Reduced):
#7  0x00007faab820de9e in operator= (this=0x256cfa0, action=0x24f5d70, action_e=QAction::Trigger, self=true) at ../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x256cfa0, action=0x24f5d70, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1098
#9  0x00007faab7e29538 in QWidget::event (this=0x2293c70, event=0x7fff02147350) at kernel/qwidget.cpp:8200
#10 0x00007faab820f06b in QMenu::event (this=0x2293c70, e=0x7fff02147350) at widgets/qmenu.cpp:2410
#11 0x00007faab7dd7d14 in QApplicationPrivate::notify_helper (this=0x7a6f50, receiver=0x2293c70, e=0x7fff02147350) at kernel/qapplication.cpp:4445
Comment 25 Myriam Schweingruber 2011-11-15 08:11:06 UTC
Can somebody please test with the latest 2.4.3 or the 2.5 beta version?
Comment 26 Myriam Schweingruber 2012-01-03 09:08:21 UTC
Tested with Amarok 2.5-git, Qt 4.7.4 and KDE 4.8 RC1, I see no evidence of Amarok being the culprit in the backtrace. Maybe a Qt issue?

Thread 1 (Thread 0x7fd2b43af7a0 (LWP 1793)):
[KCrash Handler]
#6  QBoxLayout::hasHeightForWidth (this=0x35a8c80) at kernel/qboxlayout.cpp:714
#7  0x00007fd2b24fc8f2 in QBoxLayoutPrivate::setupGeom (this=0x305e400) at kernel/qboxlayout.cpp:388
#8  0x00007fd2b24fd39d in QBoxLayout::setGeometry (this=0x305e3d0, r=...) at kernel/qboxlayout.cpp:817
#9  0x00007fd2b2517d73 in QLayoutPrivate::doResize (this=0x305e400, r=...) at kernel/qlayout.cpp:681
#10 0x00007fd2b2519451 in QLayout::activate (this=0x305e3d0) at kernel/qlayout.cpp:1259
#11 0x00007fd2b24ee3e1 in notify_helper (e=0x5c02fe0, receiver=0x305bfe0, this=0x1fdb1e0) at kernel/qapplication.cpp:4477
#12 QApplicationPrivate::notify_helper (this=0x1fdb1e0, receiver=0x305bfe0, e=0x5c02fe0) at kernel/qapplication.cpp:4458
#13 0x00007fd2b24f3291 in QApplication::notify (this=0x7fff32b577e0, receiver=0x305bfe0, e=0x5c02fe0) at kernel/qapplication.cpp:4365
#14 0x00007fd2b3ee1a46 in KApplication::notify (this=0x7fff32b577e0, receiver=0x305bfe0, event=0x5c02fe0) at ../../kdeui/kernel/kapplication.cpp:311
#15 0x00007fd2b1aedafc in QCoreApplication::notifyInternal (this=0x7fff32b577e0, receiver=0x305bfe0, event=0x5c02fe0) at kernel/qcoreapplication.cpp:787
#16 0x00007fd2b1af151f in sendEvent (event=0x5c02fe0, receiver=0x305bfe0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#17 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1e12430) at kernel/qcoreapplication.cpp:1428
#18 0x00007fd2b1b18a73 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#19 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#20 0x00007fd2ab31fa5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007fd2ab320258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fd2ab320429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fd2b1b18ed6 in QEventDispatcherGlib::processEvents (this=0x1e13f40, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#24 0x00007fd2b259607e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007fd2b1aeccf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007fd2b1aecef7 in QEventLoop::exec (this=0x7fff32b57760, flags=...) at kernel/qeventloop.cpp:201
#27 0x00007fd2b1af1789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#28 0x000000000040c7e4 in main (argc=3, argv=0x7fff32b59c58) at /home/myriam/kde/src/amarok/src/main.cpp:303
Comment 27 Myriam Schweingruber 2012-06-15 07:53:50 UTC
*** Bug 301916 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2012-06-15 07:56:10 UTC
The latest backtrace doesn't show the function call from amarok but only the Qt and KDE functions. Might be a problem higher up in the stack. Any ideas
Comment 29 Myriam Schweingruber 2012-06-16 10:01:29 UTC
(In reply to comment #28)
> The latest backtrace doesn't show the function call from amarok but only the
> Qt and KDE functions. Might be a problem higher up in the stack. Any ideas?

Subscribing David who might have a hint for us.
Comment 30 Oldřich Krůza 2012-08-30 07:23:17 UTC
Created attachment 73556 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Started amarok; from the last session, "file browser" was opened and located in the directory where I was listening the last time.

I clicked on the arrow between directories two levels up, and selected a directory from the quick-selection popup.

In that moment, Amarok crashed.

-- Backtrace (Reduced):
#7  0x00007f51bc42c296 in operator= (p=0x0, this=0x2564ce0) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x2564a20, action=0x256dd60, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1133
#9  0x00007f51bc02b144 in QWidget::event (this=0x22ed0b0, event=0x7fff4b737e10) at kernel/qwidget.cpp:8362
#10 0x00007f51bc42d80b in QMenu::event (this=0x22ed0b0, e=0x7fff4b737e10) at widgets/qmenu.cpp:2469
#11 0x00007f51bbfda894 in notify_helper (e=0x7fff4b737e10, receiver=0x22ed0b0, this=0x94c830) at kernel/qapplication.cpp:4559
Comment 31 Ian Monroe 2012-10-26 00:27:46 UTC
Same bug, Qt 4.8.3, Amarok 2.6: http://paste.kde.org/581594/

I think this is because of the use of QMenu::exec() in the bread crumb. This re-enters the event loop, and then it gets caught up with events related to mouse events.

The bug is for whoever owns the bread crumb code. I don't think it's possible to use QMenu::exec() safely. Synchronous API calls for non-synchronous events are evil.
Comment 32 Ian Monroe 2012-10-26 20:16:35 UTC
Created attachment 74818 [details]
patch to possibly fix a related crash

So I've been looking into the issue in the morning. I found a new crash that I think is unrelated to the main issue; the patch for that is attached. I'm hesitant to submit it because it doesn't actually fix the crash caused by messing with the bread crumb widget.

This is what I think is happening:
The Amarok bread crumb widget uses QPushButton.setMenu. Unfortunately QPushButton uses QMenu::exec, which is an synchronous function which commits evil and dips into the eventloop (QPushButton uses it even though it doesn't even use the QAction that it returns!). It gets all confused when it goes into the event loop and then QMenu deletes itself somewhere along way and crashes. 

So we should think about filing a Qt bug, but it's possible I'm not reading the qmenu.cpp code correctly. 

For Amarok the fix for the bug is probably to not use QPushButton.setMenu.
Comment 33 David Faure 2012-10-30 10:40:17 UTC
Ian: good analysis, patch looks ok to me (the comment is redundant though) ;)

This is the same issue as in bug 249884 (which has a valgrind log), where it was also "worked around" in KDE core, not fixed in Qt.

Since then I added this to my ever-growing todo list:
"QMenu crashes when deleted from one of its actions. bug 249884, RecursionGuard member accessed after deletion, weakpointer guard needed."
Comment 34 Karl 2012-11-22 02:07:34 UTC
Created attachment 75396 [details]
New crash information added by DrKonqi

amarok (2.6.0) on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:

I was navigating through the Breadcrumb (option: "organize library by folders"): whenever I click on the arrow that displays the "same-level-folders" and I click on one of them, Amarok crashes with segmentation fault.

My music is organized this way
Country -> Artist -> Album -> Songs.mp3

So, if I was on the folder
Argentina -> Martin Knye Magiar -> Twister

And I wanted to play some artist from Inglaterra (England), so I clicked on the arrow previous to "Argentina", it displayed all the other countrys (Inglaterra, Chile, Brasil, etc) and when I click on "Inglaterra" from this "pop-up" window, amarok crashes with segmentation fault

This bug happens when I'm on no matter what folder, and I want to change to no matter what folder from the Breadcrumb.

Cheers

-- Backtrace (Reduced):
#7  0x00007fa4fedc16dd in operator= (p=0x0, this=0x3b22b30) at ../../include/QtCore/../../src/corelib/kernel/qpointer.h:68
#8  QMenuPrivate::activateAction (this=0x3b22870, action=0x3b12d80, action_e=QAction::Trigger, self=<optimized out>) at widgets/qmenu.cpp:1133
#9  0x00007fa4fe9d2850 in QWidget::event (this=0x3b2aa40, event=0x7fff936be800) at kernel/qwidget.cpp:8371
#10 0x00007fa4fedc296b in QMenu::event (this=0x3b2aa40, e=0x7fff936be800) at widgets/qmenu.cpp:2469
#11 0x00007fa4fe982e9c in QApplicationPrivate::notify_helper (this=this@entry=0x10a3710, receiver=receiver@entry=0x3b2aa40, e=e@entry=0x7fff936be800) at kernel/qapplication.cpp:4562
Comment 35 Mayank Madan 2012-12-01 08:16:33 UTC
I can reproduce this on v2.6.0-421-gf66a306
Comment 36 Matěj Laitl 2012-12-16 00:39:51 UTC
Git commit 330c47a1ec32a1f5779dd96a2ab522602a65e910 by Matěj Laitl, on behalf of Ian Monroe.
Committed on 26/10/2012 at 22:04.
Pushed by laitl into branch 'master'.

Use QObject for memory management of QMenu's

Commited Ian's patch, it cannot hurt. Quite surprisingly, it fixes bug
265626 for me. I.e I was able to reproduce every time before the patch,
not a single time after applying the patch.

Original reporters and testers: please test that this really fixes it.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +3    -5    src/browsers/BrowserBreadcrumbItem.cpp

http://commits.kde.org/amarok/330c47a1ec32a1f5779dd96a2ab522602a65e910
Comment 37 Matěj Laitl 2013-01-04 20:42:36 UTC
Reopening, able to reproduce now.
Comment 38 Matěj Laitl 2013-01-04 20:43:13 UTC
*** Bug 298836 has been marked as a duplicate of this bug. ***
Comment 39 Matěj Laitl 2013-01-04 20:43:16 UTC
*** Bug 308394 has been marked as a duplicate of this bug. ***
Comment 40 Matěj Laitl 2013-01-04 23:40:50 UTC
Git commit 80bb50d8fcf9cdc3cd27050f9828e4fec91ada49 by Matěj Laitl.
Committed on 04/01/2013 at 22:00.
Pushed by laitl into branch 'master'.

BrowserCategory: (hopefully) definitely fix crash bug 265626

The cause is in the code comments.
FIXED-IN: 2.7
CCMAIL: Ian Monroe <ian.monroe@gmail.com>

M  +1    -1    ChangeLog
M  +5    -2    src/browsers/BrowserCategory.cpp
M  +5    -1    src/browsers/BrowserCategory.h

http://commits.kde.org/amarok/80bb50d8fcf9cdc3cd27050f9828e4fec91ada49